picrust2 install failure

I have tried to install the picrust2 plugin in a fresh miniconda 4.8.2 with qiime version 2020.2
conda install q2-picrust2=2019.10 -c conda-forge -c bioconda -c gavinmdouglas

But I get a conflict error. Anyone else who exprienced this and found a solution ?

:slight_smile:
Peter

>>>>>>>>>>>>>>>>>>>>>> ERROR REPORT <<<<<<<<<<<<<<<<<<<<<<

Traceback (most recent call last):
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/cli/install.py", line 265, in install
    should_retry_solve=(_should_retry_unfrozen or repodata_fn != repodata_fns[-1]),
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 117, in solve_for_transaction
    should_retry_solve)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 158, in solve_for_diff
    force_remove, should_retry_solve)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 281, in solve_final_state
    ssc = self._run_sat(ssc)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/common/io.py", line 88, in decorated
    return f(*args, **kwds)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 808, in _run_sat
    should_retry_solve=ssc.should_retry_solve
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/common/io.py", line 88, in decorated
    return f(*args, **kwds)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/resolve.py", line 1316, in solve
    raise UnsatisfiableError({})
conda.exceptions.UnsatisfiableError:
Did not find conflicting dependencies. If you would like to know which
packages conflict ensure that you have enabled unsatisfiable hints.

conda config --set unsatisfiable_hints True


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1079, in __call__
    return func(*args, **kwargs)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/cli/main.py", line 84, in _main
    exit_code = do_call(args, p)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/cli/conda_argparse.py", line 82, in do_call
    return getattr(module, func_name)(args, parser)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/cli/main_install.py", line 20, in execute
    install(args, parser, 'install')
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/cli/install.py", line 299, in install
    should_retry_solve=(repodata_fn != repodata_fns[-1]),
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 117, in solve_for_transaction
    should_retry_solve)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 158, in solve_for_diff
    force_remove, should_retry_solve)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 281, in solve_final_state
    ssc = self._run_sat(ssc)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/common/io.py", line 88, in decorated
    return f(*args, **kwds)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 808, in _run_sat
    should_retry_solve=ssc.should_retry_solve
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/common/io.py", line 88, in decorated
    return f(*args, **kwds)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/resolve.py", line 1318, in solve
    self.find_conflicts(specs, specs_to_add, history_specs)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/resolve.py", line 347, in find_conflicts
    bad_deps = self.build_conflict_map(specs, specs_to_add, history_specs)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/resolve.py", line 507, in build_conflict_map
    root, search_node, dep_graph, num_occurances)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/resolve.py", line 369, in breadth_first_search_for_dep_graph
    last_spec = MatchSpec.union((path[-1], target_paths[-1][-1]))[0]
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/models/match_spec.py", line 481, in union
    return cls.merge(match_specs, union=True)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/models/match_spec.py", line 475, in merge
    reduce(lambda x, y: x._merge(y, union), group) if len(group) > 1 else group[0]
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/models/match_spec.py", line 475, in <lambda>
    reduce(lambda x, y: x._merge(y, union), group) if len(group) > 1 else group[0]
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/models/match_spec.py", line 502, in _merge
    final = this_component.union(that_component)
  File "/z/home/pbo/miniconda3/lib/python3.7/site-packages/conda/models/match_spec.py", line 764, in union
    return '|'.join(options)
TypeError: sequence item 0: expected str instance, Channel found

$ /z/home/pbo/miniconda3/bin/conda install q2-picrust2=2019.10 -c conda-forge -c bioconda -c gavinmdouglas

environment variables:
CIO_TEST=
CMAKE_PREFIX_PATH=/nfs/home/pbo/miniconda3/envs/qiime2-2020.2:/nfs/home/pbo/miniconda3/e
nvs/qiime2-2020.2/x86_64-conda_cos6-linux-gnu/sysroot/usr
CONDA_BACKUP_HOST=x86_64-conda_cos6-linux-gnu
CONDA_BUILD_SYSROOT=/nfs/home/pbo/miniconda3/envs/qiime2-2020.2/x86_64-conda_cos6-linux-
gnu/sysroot
CONDA_DEFAULT_ENV=qiime2-2020.2
CONDA_EXE=/z/home/pbo/miniconda3/bin/conda
CONDA_PREFIX=/nfs/home/pbo/miniconda3/envs/qiime2-2020.2
CONDA_PREFIX_1=/z/home/pbo/miniconda3
CONDA_PROMPT_MODIFIER=(qiime2-2020.2)
CONDA_PYTHON_EXE=/z/home/pbo/miniconda3/bin/python
CONDA_ROOT=/z/home/pbo/miniconda3
CONDA_SHLVL=2
JAVA_LD_LIBRARY_PATH=/nfs/home/pbo/miniconda3/envs/qiime2-2020.2/lib/server
PATH=/z/home/pbo/miniconda3/bin:/nfs/home/pbo/miniconda3/envs/qiime2-2020.2
/bin:/z/home/pbo/miniconda3/condabin:/z/home/nzdb_prod/bin:/z/bio/biot
ools/phyloFlash/phyloFlash-pf3.3b3:/z/bio/biotools/BBTools/bbmap:/bin:
/z/bio/biotools/MCL/bin:/z/bio/biotools/bcftools/bcftools:/z/bio/bioto
ols/snp-pipelinewithpip2/bin:/z/bio/biotools/VARtools/VARCall/src:/z/b
io/biotools/VARtools/iVARCall2/src:/z/bio/biotools/infernal-1.1.2/bin/
bin:/z/bio/biotools/PGAP-1.2.1:/z/bio/nzdb/trunk/bin:/z/home/pbo/bin:/
z/bio/biotools/bowtie2-2.0.0-beta6:/z/bio/biotools/MaxBin-1.3:/z/bio/b
iotools/FragGeneScan1.19:/z/bio/biotools/sratoolkit.2.4.0-1-ubuntu64/b
in:/z/bio/biotools/Metaxa_1.1.2/bin:/usr/lib/jvm/java-1.5.0-sun-1.5.0.
06/bin:/z/genome/erbioinf/bin:/z/genome/erbioinf/bin/linuxbin:/usr/loc
al/genome/bin:/z/bio/biotools/bin:/z/bio/biotools/staden-
linux-1-6-0/linux-bin:/z/bio/biotools/bin/mira_3.2.0_prod_linux-gnu_x8
6_64_static/bin:/z/bio/biotools/abyss-1.5.2/bin:/z/bio/biotools/velvet
1.2.10:/z/bio/biotools/idba-1.1.1:/z/bio/biotools/vmatch:/z/bio/bioto
ols/maq-0.7.1:/z/genomes/illumina/benchmark/bin:/z/bio/biotools/oases

0.1.18:/z/bio/biotools/maq-0.7.1/scripts:/z/bio/biotools/SOAPdenovo_Re
lease1.04:/z/home/gpgi/bin/x86_64:/z/bio/biotools/Quake/bin:/z/bio/bio
tools/tophat-1.2.0.Linux_x86_64:/z/bio/biotools/cufflinks-0.9.3.Linux_
x86_64:/z/bio/biotools/FrameDP/bin:/z/bio/biotools/allpathslg-42972/sc
ripts/bin:/z/home/pbo/proj/bioinf_utils/bin:/z/bio/biotools/bowtie-0.1
2.7:/z/bio/biotools/SPAdes-3.13.0-Linux/bin:/z/bio/biotools/ngopt_a5pi
peline_linux-x64_20130326/bin:/z/bio/biotools/Reapr_1.0.15:/z/bio/biot
ools/OMA.0.99x/bin:.:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
:/sbin:/bin:/usr/games:/usr/lib/jvm/java-8-oracle/bin:/usr/lib/jvm/jav
a-8-oracle/db/bin:/usr/lib/jvm/java-8-oracle/jre/bin:/z/bio/biotools/s
ignalp-3.0:/z/bio/biotools/R-1.8.1/bin:/z/bio/biotools/phylip:/z/bio/b
iotools/ViennaRNA1.5/bin:/z/bio/biotools/hmmer-2.3.2/bin:/z/bio/biotoo
ls/hmmer-1.8.4/bin:/z/bio/biotools/bin:/z/bio/erfam/bin
PYTHONNOUSERSITE=/nfs/home/pbo/miniconda3/envs/qiime2-2020.2/lib/python*/site-packages/
REQUESTS_CA_BUNDLE=
SSL_CERT_FILE=

 active environment : /nfs/home/pbo/miniconda3/envs/qiime2-2020.2
active env location : /nfs/home/pbo/miniconda3/envs/qiime2-2020.2
        shell level : 2
   user config file : /z/home/pbo/.condarc

populated config files : /z/home/pbo/.condarc
conda version : 4.8.2
conda-build version : not installed
python version : 3.7.6.final.0
virtual packages : __cuda=10.2
__glibc=2.27
base environment : /z/home/pbo/miniconda3 (writable)
channel URLs : https://conda.anaconda.org/conda-forge/linux-64
https://conda.anaconda.org/conda-forge/noarch
https://conda.anaconda.org/bioconda/linux-64
https://conda.anaconda.org/bioconda/noarch
https://conda.anaconda.org/gavinmdouglas/linux-64
https://conda.anaconda.org/gavinmdouglas/noarch
https://repo.anaconda.com/pkgs/main/linux-64
https://repo.anaconda.com/pkgs/main/noarch
https://repo.anaconda.com/pkgs/r/linux-64
https://repo.anaconda.com/pkgs/r/noarch
package cache : /z/home/pbo/miniconda3/pkgs
/z/home/pbo/.conda/pkgs
envs directories : /z/home/pbo/miniconda3/envs
/z/home/pbo/.conda/envs
platform : linux-64
user-agent : conda/4.8.2 requests/2.22.0 CPython/3.7.6 Linux/4.15.0-72-generic ubuntu/18.04.3 glibc/2.27
UID:GID : 1009:1009
netrc file : None
offline mode : False

An unexpected error has occurred. Conda has prepared the above report.

If submitted, this report will be used by core maintainers to improve
future releases of conda.
Would you like conda to send this report to the core maintainers?

Timeout reached. No report sent.

1 Like

Hi @peterbjarke,
I am pinging the package developer, @gmdouglas, to see what he advises.

You may want to try installing picrust2 in a QIIME 2 version 2019.10 environment, since this will reduce the likelihood of package conflicts.

Good luck!